%define name 	f-spot
%define version	0.4.2
%define release	%mkrel 5

Summary:	A full-featured personal photo management application for the GNOME desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch:		f-spot-0.3.2-dllmap.patch
Patch1:		f-spot-0.4.2-sqlite3-update.patch
Patch2: f-spot-0.4.2-gtkhtml-sharp-3.14.patch
Patch3: f-spot-0.4.2-no-multiple-files-in-viewer.patch
#gw fix database upgrade from v8 (bug #40146)
Patch4: f-spot-r3748-database-upgrade.patch
License:	GPLv2+
Group: 		Graphics
Url:		http://f-spot.org
BuildRequires:  intltool
%if %mdvver >= 200900
BuildRequires:	gnome-sharp2-devel >= 2.8.0
BuildRequires:	gnome-desktop-sharp-devel
%else
BuildRequires:	gnome-sharp2 >= 2.8.0
BuildRequires:	gnome-desktop-sharp
%endif
#gw reenable this once it becomes an extension:
# http://bugzilla.gnome.org/show_bug.cgi?id=507095
#BuildRequires:	beagle
BuildRequires:	mono-devel
BuildRequires:	mono-data-sqlite
BuildRequires:	libgnomeui2-devel
BuildRequires:	libexif-devel
BuildRequires:	lcms-devel
BuildRequires:	sqlite-devel
BuildRequires:	libgphoto-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	ndesk-dbus-glib
#gw this is needed for automatic mono deps
BuildRequires:	libmesaglu-devel
#gw required for the upgrade script
Requires:	sqlite-tools
Requires:	sqlite3-tools
#gw please don't drop these explicit deps, the shared libraries are imported
Requires:	%mklibname exif 12
Requires:	%mklibname gphoto 2
Requires(post): shared-mime-info scrollkeeper
Requires(postun): shared-mime-info scrollkeeper
#gw workaround for urpmi bug 29356
%define _provides_exceptions mono.libgphoto2-sharp\\|mono.Mono.Addins\\|mono.gnome-keyring-sharp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
F-Spot is a full-featured personal photo management application
for the GNOME desktop.

Features:
* Simple user interface
* Photo editor
* Color adjustments
* Tag icon editor
* Create photo cd
* Export to web

%prep
%setup -q
%patch -p1 -b .dllmap
%patch1 -p1 -b .sqlite3-update
%patch2 -p1 -b .gtkhtml-sharp-3.14
%patch3 -p1
%patch4 -p0
intltoolize --force
aclocal
autoconf
automake

%build
%configure2_5x \
	--disable-scrollkeeper \
	--disable-static
#gw disabled parallel build in 0.4.2
make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std saverdir=%_libdir/gnome-screensaver/ plugindir=%buildroot%_libdir/f-spot/extensions
#gw broken makefile
mv %buildroot%buildroot%_libdir/f-spot/extensions/ %buildroot%_libdir/f-spot/

rm -f %buildroot%_libdir/%name/libfspot*a

%find_lang %name --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done


mkdir -p %buildroot{%_liconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%name.png %buildroot%_liconsdir/%name.png
ln -s %_datadir/icons/hicolor/32x32/apps/%name.png %buildroot%_iconsdir/%name.png
ln -s %_datadir/icons/hicolor/16x16/apps/%name.png %buildroot%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor
%update_scrollkeeper
%update_desktop_database

%postun
%clean_menus
%clean_icon_cache hicolor
%clean_scrollkeeper
%clean_desktop_database

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README TODO
%_bindir/%name
%_bindir/%name-import
%_bindir/%name-sqlite-upgrade
%dir %_libexecdir/gnome-screensaver/
%_libexecdir/gnome-screensaver/f-spot-screensaver
%_libdir/%name
%_datadir/applications/%name.desktop
%_datadir/applications/%name-view.desktop
%_datadir/applications/screensavers/f-spot-screensaver.desktop
%dir %_datadir/omf/*/
%_datadir/omf/*/*-C.omf
%_libdir/pkgconfig/*.pc
%_datadir/f-spot
%_iconsdir/hicolor/*/*/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 0.4.2-5mdv2008.1
+ Revision: 196453
- fix build deps for backports
- fix database update problem (bug #40146)
- fix buildrequires

* Thu Mar 27 2008 Götz Waschk <waschk@mandriva.org> 0.4.2-4mdv2008.1
+ Revision: 190618
- disable beagle support

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 0.4.2-3mdv2008.1
+ Revision: 188849
- disable multiple files support in the viewer (bug #39060)
- filter out more provides

* Fri Mar 14 2008 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2008.1
+ Revision: 187876
- remove more bogus provides

* Fri Feb 15 2008 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 168767
- new version
- update patches 1,2
- fix build and installation

* Fri Jan 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.1-3mdv2008.1
+ Revision: 157927
- patch to make it build with the new gtkhtml-sharp 3.14
- update buildrequires

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-2mdv2008.1
+ Revision: 148475
- rebuild
- do not package big ChangeLog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Götz Waschk <waschk@mandriva.org>
    - remove addins patch again
    - build with external mono-addins

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 115303
- new version
- drop patch 2
- update file list

* Thu Nov 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-6mdv2008.1
+ Revision: 106932
- Clean patch2 in something readable
- update patch1 to restore old database if upgrade failed

* Sat Nov 03 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-5mdv2008.1
+ Revision: 105531
- patch from svn, should fix #34832

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update description
    - new license policy
    - drop buildrequires on desktop-file-utils, no need to tune up desktop file
    - remove X-MandirvaLinux in desktop file
    - correct name of a category in a desktop file

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdv2008.1
+ Revision: 99102
- fix buildrequires to make the package installable

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdv2008.1
+ Revision: 99013
- fix buildrequires
- automatic upgrade of photo database to sqlite 3

  + Funda Wang <fundawang@mandriva.org>
    - drop old menu

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-2mdv2008.0
+ Revision: 59527
- build with external ndesk-dbus

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 58277
- new version
- update file list


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.3.5-2mdv2007.1
+ Revision: 141823
- work around a bug in urpmi preventing the upgrade of f-spot

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2007.1
+ Revision: 133278
- new version

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2007.1
+ Revision: 122837
- new version

* Mon Feb 05 2007 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 116423
- fix buildrequires
- new version
- add scrollkeeper files
- update desktop database so images are associated with the f-spot viewer

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.1
+ Revision: 113703
- update dll mapping (bug #28412)

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
+ Revision: 111972
- new version

* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 109282
- new version
- fix for the gnome-screensaver installation

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.1
+ Revision: 88336
- bump release
- fix gnome-screensaver dir again
- move gnome-screensaver module to the right dir
- new version
- handle new icons
- fix buildrequires

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdv2006.0
+ Revision: 64522
- drop source 1
- silent update of the tarball
- these source files are missing in 0.2.2
- new version
- add missing dbus sources
- add pkgconfig file
- drop all patches
- fix patch names
- fix patch names
- Import f-spot

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.0
- New version 0.2.1

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdv2007.0
- Patch1: fix libgphoto2 dlopening

* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdv2007.0
- drop patches 1,2
- New release 0.2.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.1.11-7mdv2007.0
- Patch1 (CVS): fix Canon import (GNOME bug #326860)
- Patch2 (CVS): fix gphoto crash (GNOME bug #348616)

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 0.1.11-6mdv2007.0
- xdg menu

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-5mdk
- rebuild for new dbus

* Sun Apr 23 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.11-4mdk
- Spec cleanup

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.1.11-3mdk
- really rebuild for new dbus-sharp

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-2mdk
- rebuild for new dbus-sharp

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdk
- New release 0.1.11

* Fri Feb 24 2006 Gtz Waschk <waschk@mandriva.org> 0.1.10-1mdk
- update file list
- New release 0.1.10

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.1.9-1mdk
- New release 0.1.9

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdk
- New release 0.1.8

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.1.7-2mdk
- rebuild for new dbus-sharp

* Wed Jan 25 2006 Gtz Waschk <waschk@mandriva.org> 0.1.7-1mdk
- New release 0.1.7
- bump deps

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-3mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-2mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdk
- New release 0.1.5

* Wed Dec 07 2005 Gtz Waschk <waschk@mandriva.org> 0.1.4-1mdk
- dro patch 1
- New release 0.1.4
- use mkrel

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-4mdk
- patch for new mono

* Fri Oct 28 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-3mdk
- fix hidden menu entry

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.3-2mdk
- rebuild for new dbus

* Fri Sep 30 2005 Gtz Waschk <waschk@mandriva.org> 0.1.3-1mdk
- add menu for the viewer
- New release 0.1.3

* Fri Sep 02 2005 Gtz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- New release 0.1.2

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix buildrequires

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- rebuild for new gtk-sharp2

* Tue Aug 23 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- New release 0.1.1

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 0.1.0-1mdk
- fix buildrequires
- New release 0.1.0

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.0.13-1mdk
- update the patch
- New release 0.0.13

* Thu Apr 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.12-2mdk
- rebuild

* Wed Mar 30 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.12-1mdk
- New release 0.0.12

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.11-2mdk
- reenable libtoolize
- fix exif major

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.11-1mdk
- New release 0.0.11

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.10-1mdk
- add icon to the menu
- drop merged patch
- New release 0.0.10

* Thu Mar 03 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-4mdk
- update the patch

* Sun Feb 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-3mdk
- fix dllmap

* Tue Feb 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.9-2mdk
- fix buildrequires

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.9-1mdk
- New release 0.0.9

* Fri Feb 18 2005 Jerome Soyer <saispo@mandrake.org> 0.0.8-1mdk
- New release 0.0.8

* Wed Feb 02 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- New release 0.0.7

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-3mdk
- fix buildrequires

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6-2mdk
- fix buildrequires

* Thu Jan 20 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.0.6-1mdk
- New release 0.0.6

* Wed Jan 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- fix buildrequires
- New release 0.0.5

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- rebuild

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- we use gtk-sharp2 now
- New release 0.0.4

* Tue Nov 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- New release 0.0.3

* Thu Sep 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- fix deps

* Tue Aug 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- fix buildrequires
- update file list
- New release 0.0.2

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- fix source URL
- fix buildrequires

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package

